Description: Hi team calculate !





I have a remote (custom) repo, installed on CL.


When i do cl-update, it's not updated.





<pre>


12 [20:21:43] root@superlinux: ~  # LANG=C cl-update                                                     


Repositories synchronization                                                                             


 * Syncing the Distros repository ...                                                              [ ok ]


 * Syncing the Calculate repository ...                                                            [ ok ]


 * Syncing the Gentoo repository ...                                                               [ ok ]


 * Synchronization finished                                                                              


System configuration                                                                                     


 * Fixing the settings ...                                                                         [ ok ]


 * Updating configuration files ...                                                                [ ok ]


 * Update server http://10.21.21.253/testing                                                             


Checking for updates                                                                                     


 * Calculating dependencies ...                                                                          


 * The system is up to date                                                                              


Rebuilding dependent modules                                                                             


 * Updating configuration files ...                                                                [ ok ]


 * System update finished!





</pre>





But, if I do manually *emerge --sync*, it's OKAY.





<pre>


13 [20:24:22] root@superlinux: ~  # emerge --sync


>>> Syncing repository 'gentoo' into '/usr/portage'...


/usr/bin/git pull


Already up-to-date.


=== Sync completed for gentoo


>>> Syncing repository 'adrien-overlay' into '/usr/local/portage/adrien-overlay'...


/usr/bin/git pull


remote: Counting objects: 5, done.


remote: Compressing objects: 100% (2/2), done.


remote: Total 5 (delta 1), reused 5 (delta 1), pack-reused 0


Unpacking objects: 100% (5/5), done.


From https://github.com/aaaaadrien/adrien-overlay


   c2625e7..ac83652  master     -> origin/master


Updating c2625e7..ac83652


Fast-forward


 virtual/adrien/adrien-1.0.0.ebuild | 25 +++++++++++++++++++++++++


 1 file changed, 25 insertions(+)


 create mode 100644 virtual/adrien/adrien-1.0.0.ebuild
=== Sync completed for adrien-overlay





 * IMPORTANT: 3 news items need reading for repository 'gentoo'.


 * Use eselect news read to view new items.








</pre>





Custom repo is in repos.conf.





Are there a bug ?

History

12/08/2016 12:01 pm - Mikhail Hiretsky

Try to run @cl-update@ with option "@-o@".

12/08/2016 01:07 pm - Adrien Duck

Mikhail Hiretsky wrote:


> Try to run @cl-update@ with option "@-o@".





It doesn't work.





I did @cl-update -o@ and no updates. If I search a package updated recently (in the overlay), eix and emerge --search don't show the newest 

package.

12/08/2016 01:17 pm - Adrien Duck

Just an information.


With this same overlay, installed with same commands, on a official Gentoo, *eix-sync* synchronise newest packages.


But I saw that *eix-sync* redirect to *cl-core* command.

12/09/2016 04:57 pm - Mikhail Hiretsky

Did @adrien-overlay@ install by layman or another method?

12/09/2016 05:02 pm - Adrien Duck

adrien-overlay installed with repos.conf





<pre>


curl https://raw.githubusercontent.com/aaaaadrien/adrien-overlay/master/repo.conf -o /etc/portage/repos.conf/adrien-overlay.conf


</pre>

12/11/2016 05:43 pm - Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð²

Adrien Daugabel wrote:


> adrien-overlay installed with repos.conf


> 


> [...]





/etc/calculate/calculate.env





<pre>


# update other overlays


cl_update_other_set = on


</pre>
12/11/2016 11:28 pm - Ð¤Ñ‘Ð´Ð¾Ñ€ Ð Ð°Ñ‚Ð¸ÐµÐ²

Adrien Daugabel wrote:


> adrien-overlay installed with repos.conf


> 


> [...]





<pre>


curl https://raw.githubusercontent.com/aaaaadrien/adrien-overlay/master/repositories.xml -o /etc/layman/overlays/adrien-overlay.xml


rm /etc/portage/repos.conf/adrien-overlay.conf


layman -S


layman -a adrien-overlay


cl-update -veo1


</pre>








important:


file name in /etc/layman/overlays/ must match of repo name in repositories.xml

12/11/2016 11:43 pm - Adrien Duck

Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð² wrote:


> Adrien Daugabel wrote:


> > adrien-overlay installed with repos.conf


> > 


> > [...]


> 


> /etc/calculate/calculate.env


> 


> [...]





I do that, but doesn't work.

12/13/2016 12:30 am - Adrien Duck

Ð¤Ñ‘Ð´Ð¾Ñ€ Ð Ð°Ñ‚Ð¸ÐµÐ² wrote:


> Adrien Daugabel wrote:


> > adrien-overlay installed with repos.conf


> > 


> > [...]


> 


> [...]


> 


> 


> important:


> file name in /etc/layman/overlays/ must match of repo name in repositories.xml





I tried to install this (my) overlay with Layman. it's OK, but, if I do a new update, cl-update no see it !

12/13/2016 09:44 am - Mikhail Hiretsky

Now @cl-update@ supports layman overlays only.

12/13/2016 09:53 am - Adrien Duck

Now, with cl-utilities 3.5 , cl-update -o works !





why it's not a default value ?
12/13/2016 10:16 am - Mikhail Hiretsky

Does synchronize @cl-update@ without option @-o@, but with value in @calculate.env@?


<pre>


cl_update_other_set = on


</pre>

12/13/2016 10:53 am - Adrien Duck

Mikhail Hiretsky wrote:


> Does synchronize @cl-update@ without option @-o@, but with value in @calculate.env@?


> [...]





@cl-update@ without option @-o@, but with value in @calculate.env@ : it works.





When I added a "real" Layman overlay (available in @layman -L@ list, it was worked.

12/13/2016 02:07 pm - Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð²

Adrien Daugabel wrote:





> @cl-update@ without option @-o@, but with value in @calculate.env@ : it works.


> 


> When I added a "real" Layman overlay (available in @layman -L@ list, it was worked.





OK, seems calculate utils just needed update... 

12/23/2016 09:12 pm - Adrien Duck

*cl-update -o* work.

06/19/2017 01:11 pm - Adrien Duck

Today it doesn't work :(

06/19/2017 01:17 pm - Mikhail Hiretsky

What does command display?


<pre>


cl-core-variables-show --filter other


</pre>





06/20/2017 11:10 am - Adrien Duck

<pre> * Liste des variables


+----------------------------------+----+------------+-------------------------+


|             Variable             |Mode|Localisation|         Valeur          |


+----------------------------------+----+------------+-------------------------+


| install.cl_install_other_set     | wb |            | off                     |


| builder.cl_builder_other_rep_data| rt |            |                         |


| builder.cl_builder_other_rep_name| rl |            |                         |


| builder.cl_builder_other_rep_path| rl |            |                         |


| update.cl_update_other_rep_data  | rt |            | adrien-overlay:/var/lib/|


|                                  |    |            | layman/adrien-overlay,vm|


|                                  |    |            | ware:/var/lib/layman/vmw|


|                                  |    |            | are                     |


| update.cl_update_other_rep_name  | rl |            | adrien-overlay,vmware   |


| update.cl_update_other_rep_path  | rl |            | /var/lib/layman/adrien-o|
|                                  |    |            | verlay,/var/lib/layman/v|


|                                  |    |            | mware                   |


| update.cl_update_other_set       | wb | system     | off                     |


| update.cl_update_wait_another_set| wb |            | on                      |


+----------------------------------+----+------------+-------------------------+</pre>





I think i must set to on *cl_update_other_set* but with *cl-update --update-other ON*, teh next update don't update other overlays

06/20/2017 07:01 pm - Adrien Duck

- File Capture_du_2017-06-20_20-57-17.png added

See the attachment : packages arn't listed but updated :)





WPS-OFFICE in my case is the 6th package

06/22/2017 02:36 pm - Mikhail Hiretsky

What does display @eix-update@?

06/22/2017 06:49 pm - Adrien Duck

<pre>


1 [20:48:37] root@superlinux: /home/adrien  #  eix-update


Reading Portage settings...


Building database (/var/cache/eix/portage.eix)...


[0] "gentoo" /usr/portage/ (cache: metadata-md5-or-flat)


     Reading category 164|164 (100) Finished             


[1] "distros" /var/lib/layman/distros (cache: parse|ebuild*#metadata-md5#metadata-flat#assign)


     Reading category 164|164 (100) EMPTY!


[2] "calculate" /var/lib/layman/calculate (cache: parse|ebuild*#metadata-md5#metadata-flat#assign)


     Reading category 164|164 (100) Finished         


[3] "adrien-overlay" /var/lib/layman/adrien-overlay (cache: parse|ebuild*#metadata-md5#metadata-flat#assign)


     Reading category 164|164 (100) Finished        


[4] "vmware" /var/lib/layman/vmware (cache: parse|ebuild*#metadata-md5#metadata-flat#assign)


     Reading category 164|164 (100) Finished         


Applying masks...


Calculating hash tables...


Writing database file /var/cache/eix/portage.eix...


Database contains 19697 packages in 164 categories.


</pre>

07/06/2017 06:44 pm - Adrien Duck

When a program is updated and not in official tree : 





<pre>


sudo cl-update -o


Synchronisation des dépôts


 * Checking Distros updates ...                                           [ ok ]


 * Checking Calculate updates ...                                         [ ok ]


 * Checking Gentoo updates ...                                            [ ok ]


 * Synchronisation du dépôt Adrien-overlay ...                            [ ok ]


 * Synchronisation du dépôt Vmware ...                                    [ ok ]


 * Actualisation du cache du dépôt Distros ...                            [ ok ]


 * Actualisation du cache du dépôt Calculate ...                          [ ok ]


 * Actualisation du cache du dépôt Adrien-overlay ...                     [ ok ]


 * Actualisation du cache du dépôt Vmware ...                             [ ok ]
 * Updating the eix cache for Vmware, Adrien-overlay, Distros, Calculate, Gentoo * .                                                           [ ok ]


 * Updating the cache of configurable packages ...                        [ ok ]


 * Suppression des sources et des binaires obsolètes ...                  [ ok ]


 * Update packages index ...                                              [ ok ]


 * Synchronisation terminée


Configuration système


 * Correction des paramètres ...                                          [ ok ]


 * Mise à jour des fichiers de configuration ...                          [ ok ]


 * Update server http://miroir.linuxtricks.fr/testing


Mise à jour des paquets


 * Calcul des dépendances ...


 * Le système est à jour  


 *  (1 sur 1) 


 * Compilation de  ...                                                                   [ ok ]


 * Installation de  ...                                                                  [ ok ]


Suppression des paquets devenus inutiles


 * Calcul des dépendances ...                                                            [ ok ]


Recompilation des modules dépendants


 * Mise à jour des bibliothèques réservées ...                                           [ ok ]


 * Mise à jour des fichiers de configuration ...                                         [ ok ]


 * Votre système a bien été mis à jour !





</pre>





Is it possible to :


- Add packages name for foreign packages ?


- Add an option in calculate-utilities to always update other overlays when we run cl-update ? (as --stable=off for the first update)

07/16/2017 11:11 am - Adrien Duck

Hi,


- Add packages name for foreign packages => Solved 


<pre>


 cl-update -o


Synchronisation des dépôts


 * Checking Distros updates ...                                                                                                         [ ok ]


 * Checking Calculate updates ...                                                                                                       [ ok ]


 * Checking Gentoo updates ...                                                                                                          [ ok ]


 * Synchronisation du dépôt Adrien-overlay ...                                                                                          [ ok ]


 * Synchronisation du dépôt Vmware ...                                                                                                  [ ok ]


 * Actualisation du cache du dépôt Distros ...                                                                                          [ ok ]


 * Actualisation du cache du dépôt Calculate ...                                                                                        [ ok ]


 * Actualisation du cache du dépôt Adrien-overlay ...                                                                                   [ ok ]


 * Actualisation du cache du dépôt Vmware ...                                                                                           [ ok ]


 * Updating the eix cache for Vmware, Adrien-overlay, Distros, Calculate, Gentoo ...                                                    [ ok ]


 * Updating the cache of configurable packages ...                                                                                      [ ok ]


 * Suppression des sources et des binaires obsolètes ...                                                                                [ ok ]


 * Update packages index ...                                                                                                            [ ok ]


 * Synchronisation terminée


Configuration système


 * Correction des paramètres ...


 * Mise à jour des fichiers de configuration ...                                                                                        [ ok ]


 * Update server http://miroir.linuxtricks.fr/testing


Mise à jour des paquets
 * Calcul des dépendances ...


 * Liste des paquets à installer  


 * Nous allons vous faire adorer la tele ! (U) media-video/molotov-1.5.1-r3 (0 KiB)


 * 1 paquets à installer, 0 KiB à télécharger





Voulez-vous installer ces paquets ? (Yes/No): y


 * (1 sur 1) Nous allons vous faire adorer la tele !


 * Compilation de media-video/molotov-1.5.1-r3 ...                                                                                      [ ok ]


 * Installation de media-video/molotov-1.5.1-r3 [1.5.1-r1] ...


</pre>








But, Add an option in calculate-utilities to always update other overlays when we run cl-update ? (as --stable=off for the first update) => added ?


Please, can you write here when it's ok ?


07/19/2017 01:00 pm - Adrien Duck

I ran  *cl-core-variables --set update.cl_update_other_set=on*





 and all is okay.


It's OK for new CL installations.





You can close

08/02/2017 03:02 pm - Alexander Tratsevskiy

- Status changed from New to Closed
